#ifndef FILE_H
#define FILE_H

#include <stdbool.h>

typedef void (*FileError)(const char*, ...);

void fOpen(const char* path, FileError fe);
void fClose();

int fRead();
int fPeek();
bool fReadIf(int c);

#endif